> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Export Quote PDF

POST https://api-b2b.bigcommerce.com/api/v2/rfq/{quote_id}/pdf-export
Content-Type: application/json

Generates a download link to a PDF copy of the specified quote. The PDF uses the default template configured in the store's Quote settings.

You can opionally include the `currency` array in the request body to convert prices in the PDF to a specific currency. Currency details can be fetched with the [Get All Available Currencies](/developer/api-reference/rest/b2b/storefront/store-settings) endpoint.

Equivalent Storefront GraphQL API Mutation: `quoteFrontendPdf`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/request-for-quote/post-rfq-quote-id-pdf-export

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Path parameters

- `quote_id` (string, required) — The internal numeric ID of the sales quote.

### Body (application/json)

This endpoint expects an object.

- `storeHash` (string, optional) — The unique store hash for the BigCommerce store.
- `currency` (currency_RESPONSE, optional) — Contains detailed information regarding the quote's currency.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `message` (string, optional, default: SUCCESS)
- `data` (RfqQuoteIdPdfExportPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### currency_RESPONSE

Contains detailed information regarding the quote's currency.

- `location` (enum, optional) — Determines whether the currency symbol is added to the left or the right of quote pricing.
  - Allowed values: `left`, `right`
- `token` (string, optional) — The currency symbol.
- `decimalToken` (string, optional) — The character used to separate decimal values in quote pricing.
- `decimalPlaces` (double, optional) — The number of decimal places displayed in quote pricing.
- `thousandsToken` (string, optional) — The character used to separate the hundredths and thousandths places in quote pricing.
- `currencyCode` (string, optional) — The three-letter code corresponding to the quote's currency
- `currencyExchangeRate` (double, optional) — Overrides the built-in exchange rate between your store's default currency and the quote's selected currency. If left blank, the exchange rate defined in your store's settings is used.

### RfqQuoteIdPdfExportPostResponsesContentApplicationJsonSchemaData

- `url` (string, optional) — The URL for the generated PDF that can be sent to the customer or attached to the quote.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {
    "url": "https://example.com/quote.pdf"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/rfq/123456/pdf-export")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```